---
id: escalier-001
type: Portal
exits:
  - id: hall-000-bas
    location: hall-000
    direction: bas
  - id: sous-sol-000-haut
    location: sous-sol-000
    direction: haut
---
id: sous-sol-000
type: Location
events:
  info:
    actor: "Sous-sol"
  look:
    actor: |
      Vous êtes dans le sous-sol de l'IUT.  Comme il n'y a aucun enseignant, toutes les salles de TD sont probablement fermées.
      Derrière vous (à l'ouest), sous l'escalier, se trouve une trape.
      Peut-être est-ce un passage secret menant vers une salle au trésor pleine de joyaux ?.
---
id: salle-tresor-000
type: Location
events:
  info:
    actor: "Salle au trésor"
  look:
    actor: |
      Vous êtes dans une salle au trésor, richement décorée de dorures et de tapisseries.
      Un tapis rouge mène, à un piédestal.
      Il contient probablement une relique sacrée.
      Vous retournez sur vos pas en allant vers le sud
parts:
     - piedestal-000
---
id: piedestal-000
type: Container
name: piedestal
events:
  look:
    actor: |
      C'est un piedestal de bonne qualité.
contains:
  - poney-000
---
id: poney-000
type: Thing
names:
  - poney
  - figurine
props:
  - takable
  - key-for-portal-place-amphi-C1-000
events:
  info:
    actor: "Une figurine Mon petit poney"
  look:
    actor: |
      C'est une figurine Mon petit poney.
      En plastique.
      Rose.
---
id: placard-balais-000
type: Location
events:
  info:
    actor: "Placard à balais"
  look:
    actor: |
      Vous êtes dans un placard à balais.
      La preuve : il y a un balais.
      Vous retournez sur vos pas en allant vers le sud
parts:
  - balai-000
---
id: balai-000
type: Thing
name: balai
props:
  - takable
events:
  info:
    actor: "Un balai."
  look:
    actor: |
      C'est un balai classique en forme de balai, fait pour balayer.
      Il ressemble un peu à un balai.
---
id: trape-000
type: Portal
exits:
  - id: sous-sol-000-ouest
    location: sous-sol-000
    direction: ouest
    events:
      enter-portal:
        actor   : "Vous vous faufilez par la trappe."
        observer: "{{ actor.name }} se faufile par la trape."
      leave-portal:
        observer: |
          {{ actor.name }} sort de la trape et vous rejoint
          dans le sous-sol.
  - id: passage-secret-000-est
    location: passage-secret-000
    direction: est
    events:
      enter-portal:
        actor   : "Vous vous faufilez par la trappe"  
        observer: "{{ actor.name }} se faufile par la trappe"
      leave-portal:
        observer: "{{ actor.name }} vous rejoint dans le hall."
---
id: passage-secret-000
type: Location
parts:
  - bouton-portes-000
props:
  - rouge
events:
  info:
    actor: "Le passage secret"
  look:
    actor: |
      Vous êtes dans un passage secret.
      Face à vous se trouve un bouton.
      À l'est se trouve la trappe par laquelle vous êtes entrés.
      Au nord se trouvent deux portes.
      Une rouge {% if the("passage-secret-000").has_prop("rouge") %}
      (ouverte) et une bleue (fermée)
      {% else %}
      (fermée)
      {% end %}
      et une bleue {% if the("passage-secret-000").has_prop("-rouge") %}
      (ouverte)
      {% else %}
      (fermée)
      {% end %}

  ouverture-porte:
    observer: |
      {% if the("passage-secret-000").has_prop("rouge") %}
      La porte bleue s'ouvre. La rouge se ferme.
      {% else %}
      La porte rouge s'ouvre. La bleue se ferme.
      {% end %}
      
---
id: bouton-portes-000
type: Thing
name: bouton
props:
  - pushable
events:
  info:
    actor: "Un bouton rouge bien mystérieux"
  look:
    actor: "C'est un bouton rouge bien mystérieux"
  push:
    - props: =passage-secret-000:rouge
      effects:
        - type: NarrativeEffect
          at: passage-secret-000
          key: ouverture-porte
        - type: ChangePropEffect
          at: passage-secret-000
          modifs: -=passage-secret-000:rouge
        - type: ChangePropEffect
          modifs: =exit-passage-secret-porterouge:closed
        - type: ChangePropEffect
          modifs: -=exit-passage-secret-portebleue:closed
    - props: -=passage-secret-000:rouge
      effects:
        - type: NarrativeEffect
          at: passage-secret-000
          key: ouverture-porte
        - type: ChangePropEffect
          at: passage-secret-000
          modifs: =passage-secret-000:rouge
        - type: ChangePropEffect
          modifs: -=exit-passage-secret-porterouge:closed
        - type: ChangePropEffect
          modifs: =exit-passage-secret-portebleue:closed
---
id: passage-secret-portes-000
type: Portal
events:
  traversal:
    - props: =passage-secret-000:rouge
      exit1: =exit-passage-secret-porterouge
      exit2: =exit-portes-passage-secret
    - exit1: =exit-passage-secret-portebleue
      exit2: =exit-portes-passage-secret
exits:
  - id      : exit-passage-secret-portebleue
    location: placard-balais-000
    direction: sud
    props:
      - closed

  - id      : exit-passage-secret-porterouge
    location: salle-tresor-000
    direction: sud
    
  - id      : exit-portes-passage-secret
    location: passage-secret-000
    direction: nord
    events:
      traversal:
        - props: =passage-secret-000:rouge
          exit1: =exit-portes-passage-secret
          exit2: =exit-passage-secret-portebleue
        - exit1: =exit-portes-passage-secret
          exit2: =exit-passage-secret-porterouge
